TLS Support Not Available

(Shawn Kernes) #1

Core Machine (Operating system/System info/Roon build number)

Roon Bridge:
RPi 3 B+

$ cat /etc/os-release
PRETTY_NAME=“Raspbian GNU/Linux 10 (buster)”
NAME=“Raspbian GNU/Linux”
VERSION_ID=“10”
VERSION=“10 (buster)”
VERSION_CODENAME=buster
ID=raspbian
ID_LIKE=debian

$ cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version k4.19.55-v7+.

Version 1.0 (build 169) stable

Roon Core:
Macbook Pro
macOS Catalina (10.15 Beta (19A487m)

Roon Version 1.6(build 416) stable (64bit)

Network Details (Including networking gear model/manufacturer and if on WiFi/Ethernet)

Wifi

Audio Devices (Specify what device you’re using and its connection type - USB/HDMI/etc.)

USB/ALSA/PureAudio Lotus DAC5

Description Of Issue

I have seen that this is a non-issue, but its really annoying and fills the RoonBridge Log with junk. It looks like the issue may be as simple as enabling tls1.3 on the server, otherwise if this no longer serves a function can you please remove the call.

06/25 21:32:45 Warn: Error in web request https://push.roonlabs.com/push/1/connect: NetworkError (Error: ConnectFailure (TLS Support not available.))

06/25 21:32:45 Trace: [push] request to manager failed

06/25 21:32:45 Trace: [push] retrying connection in 1606891ms

06/25 21:35:17 Warn: Error in web request https://push.roonlabs.com/push/1/connect: NetworkError (Error: ConnectFailure (TLS Support not available.))

06/25 21:35:17 Trace: [push] request to manager failed

06/25 21:35:17 Trace: [push] retrying connection in 1506480ms

#2

FWIW, this is not happening on my Roon Core running on CentOS 7.

(Shawn Kernes) #4

Thanks

I think this issue only occurs on RoonBridge, though im running RoonCore on a mac (it does not show up in Roon_log.txt) so i’m not sure if it would show up on a linux box.

Any chance you can check what version of openssl you are running? i believe it needs to be >= 1.1.1 for this issue to occur on a linux box, but i have not yet tested with 1.0.2 to verify.

Last i looked, centos 7 was still at 1.0.2, but i haven’t used centos in years so i’m also not sure about that.

#5

It’s whatever is current for CentOS 7. RHEL/CentOS is difficult to say, since they freeze the reported version number at the initial mainline release and then backport changes as part of their whole “ABI never changes withing a major release” schtick…

I run yum update regularly to keep it up to date with whatever patches RedHat has released.

(Shawn Kernes) #6

Thanks.

Im pretty sure redhat is currently using 1.0.2k… you should be able to check with “openssl version”

either way, i have not been able to produce the warning at the RoonCore, only on the RoonBridge.

(Shawn Kernes) #7

Any movement here?

(Noris) #8

Hi @Shawn_Kernes,

I have created an internal ticket regarding your report, but since this is just a display issue in the bridge logs and does not have any functional issues, I cannot comment on when it will be looked at.